#!/usr/bin/env gnuplot

! ./throughput-dep.sh

reset
set xlabel "Frame period [µs]"
set ylabel "GW latency [µs] + packet loss"
set style data yerrorlines
# set yrange [0:10000]
set yrange [20:]
set ytics (1e1,2e1,5e1,1e2,2e2,5e2,1e3,2e3,5e3,1e4,2e4,5e4,1e5,2e5,5e5)
set logscale y
#set key reverse Left invert
set key outside center top Left reverse maxrows 4
set grid
loss_scale=10
plot \
     'kernel.dat' using 1:2:($3*loss_scale) title 'kernel', \
     'mmsg-mmsg.dat' using 1:2:($3*loss_scale) title 'mmsg-mmsg', \
     'mmap-mmap.dat' using 1:2:($3*loss_scale) title 'mmap-mmap', \
     'mmapbusy-mmap.dat' using 1:2:($3*loss_scale) title 'mmapbusy-mmap', \
     'mmap-write.dat' using 1:2:($3*loss_scale) title 'mmap-write', \
     'mmapbusy-write.dat' using 1:2:($3*loss_scale) title 'mmapbusy-write', \
     'readnb-mmap.dat' using 1:2:($3*loss_scale) title 'readnb-mmap', \
     'read-mmap.dat' using 1:2:($3*loss_scale) title 'read-mmap', \
     'readbusynoirq-write.dat' using 1:2:($3*loss_scale) title 'readbusynoirq-write', \
     'read-write.dat' using 1:2:($3*loss_scale) title 'read-write', \
     'readbusy-write.dat' using 1:2:($3*loss_scale) title 'readbusy-write', \
     'readnb-write.dat' using 1:2:($3*loss_scale) title 'readnb-write'
